Bug 101138 - Driver crashes on Intel on Windows 7
Summary: Driver crashes on Intel on Windows 7
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0 target:5.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-26 17:41 UTC by Jan Holesovsky
Modified: 2017-05-18 16:16 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2016-07-26 17:41:23 UTC
We have got reports of crashing with Intel OpenGL drivers on Windows 7.  We were trying to find the root cause, but after spending a considerable time on that, the conclusion was that it is down to the driver - in many cases, either Windows reports that it restarted the driver, or even the Windows freezes, and only a reboot helps.

Let's disable OpenGL on Windows 7 on Intel to make sure this does not affect others.  Reportedly the Windows 10 are fine, and also we have seen no such driver behaviour with Windows 8.
Comment 1 Commit Notification 2016-07-26 17:49:20 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9b2af045acc92c8665a8523407f530cc691d5bf

tdf#101138 opengl: blacklist intel drivers for Win 7

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-07-26 18:34:35 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=413ad2e9e9e64cb8b2bf74ab4f022fefc6963a6a&h=libreoffice-5-1-5

tdf#101138 opengl: blacklist intel drivers for Win 7

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-07-26 19:01:28 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2aa528f5a842cceedd82a3c9329bfa9ecb7e285&h=libreoffice-5-2

tdf#101138 opengl: blacklist intel drivers for Win 7

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-07-26 19:01:36 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97fb2a8a43f11dba7c3e82380589b2334d09865a&h=libreoffice-5-1

tdf#101138 opengl: blacklist intel drivers for Win 7

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-07-27 00:27:35 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3d1afd1414ad6ca5ed42d5b26f73190113a1404&h=libreoffice-5-2-0

tdf#101138 opengl: blacklist intel drivers for Win 7

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.